<?php
function payid19pos_init_receipt_class_kriptopos(){
  if(!class_exists('WC_payid19Pos_Gateway_kriptopos')) return;
  class WC_payid19Pos_Receipt_kriptopos extends WC_payid19Pos_Gateway_kriptopos{
    function receipt_run($order_id){  //Ödeme yap butonuna basınca yapılacaklar
      ob_start();
      session_start();
      GLOBAL $woocommerce;
      $this->core = new WC_payid19Pos_Gateway_kriptopos;
      
      $order = new WC_Order($order_id); //Siparişi getir
      $gelenCevap = esc_url_raw($_SESSION["kriptoposxml"]);
      
      echo '<p id="paymentinfo1">Thank you for your order.<br>You will redirect to payment page.</p>'; 
      echo '<p id="paymentinfo2">please <a href=\"" . $gelenCevap . "\">click here </a> if your browser does not support redirects.</p>'; 
        
        if ( is_user_logged_in() ) {
            $redirect = 'location.href ="'. $order->get_checkout_order_received_url().'"';
        } else {
            $redirect = 'location.href ="'. $order->get_checkout_order_received_url().'"';
        }

      echo "<script language=\"Javascript\">                
            <!--
            var paymentpopup;
            window.onload = function(event) {
                paymentpopup = basicLightbox.create('<iframe class=\"paymentframe\" width=\"95%\" height=\"95%\" src=\"" . $gelenCevap . "\" frameborder=\"0\" allowfullscreen></iframe>', {closable: false});
                paymentpopup.show();
            }
            
            window.onmessage = function(e) {
                if (e.data == 'ok') {
                    paymentpopup.close();
                    document.querySelector('p#paymentinfo1').innerHTML = 'Thank you.<br> Your Payment Successfully Received.';
                    document.querySelector('p#paymentinfo2').innerText = '';
                    ".$redirect."
                }
                if (e.data == 'cancel') {
                    paymentpopup.close();
                    document.querySelector('p#paymentinfo1').innerText = 'Your order is canceled.';
                    document.querySelector('p#paymentinfo2').innerText = '';
                }
            };
            //-->
            </script>";
      exit;
    } //Function receipt_run
  } //Class WC_payid19Pos_Receipt
} //Function payid19pos_init_receipt_class

add_action('plugins_loaded', 'payid19pos_init_receipt_class_kriptopos' , 2);
